/*************************************************************************/
/*                                                                       */
/*                Centre for Speech Technology Research                  */
/*                     University of Edinburgh, UK                       */
/*                    Copyright (c) 1994,1995,1996                       */
/*                        All Rights Reserved.                           */
/*                                                                       */
/*  Permission to use, copy, modify, distribute this software and its    */
/*  documentation for research, educational and individual use only, is  */
/*  hereby granted without fee, subject to the following conditions:     */
/*   1. The code must retain the above copyright notice, this list of    */
/*      conditions and the following disclaimer.                         */
/*   2. Any modifications must be clearly marked as such.                */
/*   3. Original authors' names are not deleted.                         */
/*  This software may not be used for commercial purposes without        */
/*  specific prior written permission from the authors.                  */
/*                                                                       */
/*  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        */
/*  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      */
/*  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   */
/*  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     */
/*  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    */
/*  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   */
/*  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          */
/*  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       */
/*  THIS SOFTWARE.                                                       */
/*                                                                       */
/*************************************************************************/
/*                     Author :  Paul Taylor                             */
/*                     Date   :  April 1994                              */
/*-----------------------------------------------------------------------*/
/*                    Command line options                               */
/*                                                                       */
/*=======================================================================*/
#ifndef __cmd_line_H__
#define __cmd_line_H__

#include "EST_String.h"
#include "EST_Option.h"
#include "EST_types.h"

int parse_command_line(int argc, 
		   char *argv[],
		   EST_String deflist,
		   EST_String *&files,
		   int &num_files,
		   EST_Option &al, int make_stdio=1);

int parse_command_line(int argc, 
		   char *argv[],
		   EST_String deflist,
		   EST_StrList &files,
		   EST_Option &al, int make_stdio=1);

int parse_command_line2(int argc, 
		   char *argv[],
		   const EST_String &usage,
		   EST_StrList &files,
		   EST_Option &al, int make_stdio=1);


int init_lib_ops(EST_Option &al, EST_Option &options);
void override_lib_ops(EST_Option &a_list, EST_Option &al);

void print_help(int argc, char *argv[]);


#endif /* __cmd_line_H__ */
